## pcb-rnd 1.1.4

=== Makefile ===
all: FORCE
	cd src && make
	cd util && make
	cd pcblib && make
#	cd doc-rnd && make

clean: FORCE
	cd src && make clean
	cd util && make clean
	cd pcblib && make clean
	cd doc-rnd && make clean

distclean: FORCE
	make clean ; true
	cd doc-rnd && make distclean
	cd scconfig && make clean ; true
	cd src_3rd/genlist && make clean ; true
	cd src_3rd/genregex && make clean ; true
	cd src_3rd/genvector && make clean ; true
	cd src_3rd/gts && make clean ; true
	cd src_3rd/liblihata && make clean ; true
	cd src_3rd/liblihata/genht && make clean ; true
	cd src_3rd/qparse && make clean ; true

install: FORCE
	cd src && make install
	cd util && make install
	cd pcblib && make install
	cd doc-rnd && make install

linstall: FORCE
	cd src && make linstall
	cd util && make linstall
	cd pcblib && make linstall
	cd doc-rnd && make linstall

uninstall: FORCE
	cd src && make uninstall
	cd util && make uninstall
	cd pcblib && make uninstall
	cd doc-rnd && make uninstall

FORCE:

=== data/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from ../Makefile.conf which is scconfig generated

theme = hicolor

app_icon = pcb

mime_icons = \
	application-x-pcb-layout \
	application-x-pcb-footprint \
	application-x-pcb-netlist \
	application-x-gerber \
	application-x-excellon

app_icon_files = \
	$(app_icon:%=%-48.png) \
	$(app_icon:%=%.svg)
#	$(app_icon:%=%-16.png)
#	$(app_icon:%=%-22.png)
#	$(app_icon:%=%-24.png)
#	$(app_icon:%=%-32.png)

mime_icon_files = \
	$(mime_icons:%=%-16.png) \
	$(mime_icons:%=%-22.png) \
	$(mime_icons:%=%-24.png) \
	$(mime_icons:%=%-32.png) \
	$(mime_icons:%=%-48.png) \
	$(mime_icons:%=%.svg)

mime_icon_sources = \
	$(mime_icons:%=%-16.svg) \
	$(mime_icons:%=%-22.svg) \
	$(mime_icons:%=%-32.svg) \
	$(mime_icons:%=%-48.svg)

theme_icons = \
	$(mime_icon_files:%=mimetypes,%) \
	$(app_icon_files:%=apps,%)

all:

install_:
	./icon-theme-installer \
		-t $(theme) \
		-m "$(MKDIR)" \
		-s `pwd` \
		-d x \
		-b "$(themedir)" \
		-x "$(CPC)" \
		-i $(theme_icons)

install:
	make install_ CPC="$(CP)"

linstall:
	make install_ CPC="$(LN)"

uninstall:
	$(RM) $(DOCDIR)/examples/tut1.pcb

include ../Makefile.conf
themedir=$(DATADIR)/icons/$(theme)

=== doc-rnd/Makefile ===
MENU_RES=../src/pcb-menu-gtk.lht ../src/pcb-menu-lesstif.lht
MENU_RES_MKEY=../src/pcb-menu-mkey.lht
KEYLIST=../util/keylist.sh
DEBLIST=../util/devhelpers/deblist.sh

all: keys.html keys_mkey.html
	./Autostyle.sh *.html features/*.html

keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > keys.html

keys_mkey.html: $(MENU_RES_MKEY) $(KEYLIST)
	$(KEYLIST) $(MENU_RES_MKEY) > keys_mkey.html

install:
	cd man && make install

linstall:
	cd man && make linstall

uninstall:
	cd man && make uninstall

clean:
	cd man && make clean

distclean:
	cd man && make distclean

=== pcblib/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from ../Makefile.conf which is scconfig generated

all:

# NOTE: this rule is _not_ called from linstall
install_:
	$(MKDIR) "$(DATADIR)/pcblib"
	$(MKDIR) "$(DATADIR)/pcblib/connector"
	$(CPC) "`pwd`/connector"/* "$(DATADIR)/pcblib/connector"
	$(MKDIR) "$(DATADIR)/pcblib/parametric"
	$(CPC) "`pwd`/parametric"/* "$(DATADIR)/pcblib/parametric"
	$(MKDIR) "$(DATADIR)/pcblib/smd"
	$(CPC) "`pwd`/smd"/* "$(DATADIR)/pcblib/smd"
	$(MKDIR) "$(DATADIR)/pcblib/tru-hole"
	$(CPC) "`pwd`/tru-hole"/* "$(DATADIR)/pcblib/tru-hole"

install:
	make install_ CPC="$(CP)"

# hack: pcb's chdir() based approach gets fooled on symlinks because of "cd .."
# returns to the wrong dir - rather symlink the whole dir
linstall:
	make uninstall
	$(MKDIR) "$(DATADIR)"
	$(LN) "`pwd`" "$(DATADIR)/pcblib"

uninstall:
	$(RM) "$(DATADIR)/pcblib"

clean:

include ../Makefile.conf

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
SRC=src
BIN=src

#  what cflags to use to compile scconfig
USER_CFLAGS = -DGENCALL -Isrc
#USER_CFLAGS = -Wall -Wextra -g -DGENCALL -Isrc

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS = src/util/arg_auto_set.o

#  what to build - a ./configure
all: configure cquote

# This line imports scconfig core and default tests
include src/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
include src/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include src/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
# include src/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include src/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
include src/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
# include src/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
include src/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
include src/gui/Makefile.plugin

#  Comment this line if you do not need software utility libs (glib)
include src/sul/Makefile.plugin

#  Uncomment this line if you need menus
include src/menulib/Makefile.plugin

#  Comment this line if you do not need generator (templating)
#include src/generator/Makefile.plugin

#  Comment this line if you do not need tmpasm (templating); conflicts with generator
include src/tmpasm/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(SUL_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -Isrc/default
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)

all: configure revtest

revtest: revtest.o
	$(CC) -o revtest revtest.o

revtest.o: revtest.c  Rev.h
	$(CC) -c $(CFLAGS) -o revtest.o revtest.c

configure: $(OBJS)  $(DEFAULT_MAIN_OBJS)
	$(CC) -o configure $(OBJS)  $(DEFAULT_MAIN_OBJS)

menuconfig: menucfg
	./menucfg

menucfg: $(OBJS) $(MENULIB_OBJS) src/default/main_lib.o src/default/main_custom_args.o menucfg.o src/util/arg_auto_menu.o src/util/arg_auto_set.o
	$(CC) -o menucfg $(OBJS) $(MENULIB_OBJS) menucfg.o src/default/main_lib.o src/default/main_custom_args.o src/util/arg_auto_menu.o

menucfg.o: menucfg.c
	$(CC) -c $(CFLAGS) -o menucfg.o menucfg.c

hooks.o: plugin_3state.h plugins.h Rev.h

src/util/arg_auto_set.o: src/util/arg_auto_set.c src/util/arg_auto_set.h
	$(CC) -c $(CFLAGS) -o src/util/arg_auto_set.o src/util/arg_auto_set.c


cquote: cquote.c

clean:
	rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o

=== tests/Makefile ===
test:
	cd pcbflags && make all && make test
	cd conf && make all && make test
	cd strflags && make all && make test
	cd pcb-printf && make all && make test
	cd uniq_name && make all && make test
	cd propedit && make all && make test

=== util/Makefile ===
# plain old hand crafted Makefile

all:
	cd gsch2pcb-rnd && make all

include ../Makefile.conf

clean:
	cd gsch2pcb-rnd && make clean

install_:
	$(MKDIR) "$(BINDIR)" "$(LIBDIR)"
	$(CPC) "`pwd`/fp2anim" "$(BINDIR)/fp2anim"
	$(CPC) "`pwd`/pcb-strip" "$(BINDIR)/pcb-strip"
	$(CPC) "`pwd`/gnet-pcbrndfwd.scm" "$(LIBDIR)/gnet-pcbrndfwd.scm"
	$(CPC) "`pwd`/gnet-pcbrndfwd_elem.scm" "$(LIBDIR)/gnet-pcbrndfwd_elem.scm"
	cd gsch2pcb-rnd && make install_ CPC="$(CPC)"

install:
	make install_ CPC="$(CP)"

linstall:
	make install_ CPC="$(LN)"

uninstall:
	$(RM) "$(BINDIR)/fp2anim"
	$(RM) "$(BINDIR)/pcb-strip"
	$(RM) "$(LIBDIR)/gnet-pcbrndfwd.scm"
	$(RM) "$(LIBDIR)/gnet-pcbrndfwd_elem.scm"
	cd gsch2pcb-rnd && make uninstall

=== doc-rnd/ddrc/requirements.txt ===
The Dynamic DRC should be able to solve at least these tasks:
	- check start grounding
	- require element placement on same layer 
		- specify element proximity to each other on same layer
		- specify element proximity to the edge
		- specify element proximity to network or other copper feature
		on the same layer
	- perform copper vs. copper checks
		- minimal gap between an object or network and anything else
		- minimal gap between high voltage and low voltage networks
	- perform copper geometry checks
		- detect minimal width (high current)
		- detect poly hairpin
		- number and length of stubs (hight freq)
		- "via cage": a given network needs to be sorrounded by a set of gnd vias
	- network related copper checks
		- matched length lines (e.g. fast dram bus)
		- balanced transmission line (distance between the tracks)
		- match and/or limit number of vias
		- limit layer usage
		- require layer stackup properties, e.g. microstrip, stripline
			- e.g. require ground poly on the next layer
			- e.g. number of gaps in the ground poly the line jumps

=== doc-rnd/djopt/Makefile ===
PCB=../../src/pcb-rnd
HTML=index.html
CASES = \
 debumpify.$(TARGET) \
 miter.$(TARGET) \
 orthopull.$(TARGET) \
 unjaggy.$(TARGET) \
 vianudge.$(TARGET) \
 viatrim.$(TARGET)

all:
	make conv TARGET=out.png
	make conv TARGET=png
	make index

index:
	make index.html TARGET=txt

index.html: Pre.html Post.html $(CASES) Makefile
	cat Pre.html > $(HTML)
	make conv TARGET=tbl
	cat Post.html >>$(HTML)

conv: $(CASES)

.SUFFIXES: .pcb .out.pcb .png .out.png .tbl
.PRECIOUS: %.pcb %.out.pcb %.png %.out.png

.pcb.out.pcb:
	echo "OptAutoOnly(); djopt($*); SaveTo(LayoutAs, $*.out.pcb.tmp);"| $(PCB) --gui batch $*.pcb
	awk '/Symbol.. . 1800./,/^Attribute/ { next } { print $$0 }' < $*.out.pcb.tmp > $*.out.pcb
	rm $*.out.pcb.tmp

.pcb.tbl:
	echo '<tr><th>$*<td>'>>$(HTML)
	cat $*.txt >>$(HTML)
	echo '  <td><a href="$*.pcb"><img src="$*.png"></a>  <td><a href="$*.out.pcb"><img src="$*.out.png"></a>'>>$(HTML)

.pcb.png:
	$(PCB) -x png --dpi 300  $*.pcb

out.pcb.out.png:
	$(PCB) -x png --dpi 300  $*.out.pcb

clean:
	rm *.out.pcb *.png index.html 2>/dev/null; true

=== doc-rnd/man/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from ../../Makefile.conf which is scconfig generated

IN=pcb-rnd.1.mml
OUT_HTML = pcb-rnd.1.html
OUT_MAN1 = pcb-rnd.1
OUT_LINT = pcb-rnd.1.lint

OUTPUT = $(OUT_HTML) $(OUT_MAN1) index.html
MML = /usr/bin/mml

all: $(OUTPUT)

lint: pcb-rnd.1.lint

.SUFFIXES: .html .mml .lint

.mml.html: .mml_linkmap
	$(MML) -i copyright.mml -f html $<  > $@

.mml:
	$(MML) -i copyright.mml -f man $<  > $@

.mml_linkmap:
	$(MML) -i copyright.mml -f linkmap $(IN) > $@

index.html:
	@echo "<HTML><BODY>" > $@
	$(MML) -i copyright.mml -f indexhtml $(IN) >> $@
	@echo "</BODY></HTML>" >> $@

clean:

distclean:

genclean:
	rm $(OUTPUT) 2>/dev/null ; true

.mml.lint:
	$(MML) -i copyright.mml -f lint $<

install_:
	$(MKDIR) "$(MAN1DIR)"
	$(CPC) "`pwd`/pcb-rnd.1" "$(MAN1DIR)/pcb-rnd.1"
	$(CPC) "`pwd`/gsch2pcb-rnd.1" "$(MAN1DIR)/gsch2pcb-rnd.1"

uninstall:
	$(RM) "$(MAN1DIR)/pcb-rnd.1"
	$(RM) "$(MAN1DIR)/gsch2pcb-rnd.1"

install:
	make install_ CPC="$(CP)"

linstall:
	make install_ CPC="$(LN)"

include ../../Makefile.conf

=== src_3rd/genlist/Makefile ===
CFLAGS = -I. -I..
#CFLAGS = -Wall -g -I. -I..

OBJS = genlistalloc.o genadlist.o

all: genlist.a

genlist.a: $(OBJS)
	ar r genlist.a $(OBJS)

example_ad: example_ad.o $(OBJS)

example_d: example_d.c gendlist.h

clean:
	rm $(OBJS) ; true

=== src_3rd/genregex/Makefile ===
#CFLAGS = -Wall -ansi -pedantic -g
CFLAGS = -g
LDFLAGS =

OBJS = tester.o regex.o  regex_se.o regex_sei.o regex_be.o regex_bei.o \
       regex_st.o regex_sti.o regex_bt.o regex_bti.o

tester: $(OBJS)

tester.o: tester.c regex_se.h regex_be.h regex_st.h regex_bt.h regex_templ.h regex.h tester_main.c

regex.o: regex.c regex.h

regex_se.o: regex_se.c regex_se.h   regex_templ.c regex_templ.h regex.h

regex_sei.o: regex_sei.c regex_sei.h   regex_templ.c regex_templ.h regex.h

regex_be.o: regex_be.c regex_be.h   regex_templ.c regex_templ.h regex.h

regex_bei.o: regex_bei.c regex_bei.h   regex_templ.c regex_templ.h regex.h

regex_st.o: regex_st.c regex_st.h   regex_templ.c regex_templ.h regex.h

regex_sti.o: regex_sti.c regex_sti.h   regex_templ.c regex_templ.h regex.h

regex_bt.o: regex_bt.c regex_bt.h   regex_templ.c regex_templ.h regex.h

regex_bti.o: regex_bti.c regex_bti.h   regex_templ.c regex_templ.h regex.h

test:
	cd ../regression; make all

clean:
	rm $(OBJS) tester 2>/dev/null ; true

=== debian/changelog ===
pcb-rnd (1.1.4-2) stable; urgency=high

  * security patch from upstream to eliminate execution of code from a 
    maliciously formed design file

 -- Bdale Garbee <bdale@gag.com>  Sun, 17 Sep 2017 18:53:45 -0600

pcb-rnd (1.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #843839)

 -- Dima Kogan <dkogan@debian.org>  Sun, 18 Dec 2016 21:11:55 -0800

=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9), libgd-dev, libgtkglext1-dev, libdbus-1-dev, libstroke0-dev
Standards-Version: 3.9.8
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: git://anonscm.debian.org/pkg-electronics/pcb-rnd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/pcb-rnd.git

Package: pcb-rnd
Architecture: any
Replaces: pcb
Depends: ${misc:Depends}, ${shlibs:Depends}, geda-gnetlist
Description: printed circuit board (pcb) design program
 pcb-rnd is an interactive printed circuit board editor for the X11 window 
 system. pcb-rnd includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

# --symbols is to build with -g
#
# I link everything into the main program (--buildin-...) including the
# user-interface: gtk. At some point I may add lesstif as an option. Then
# shipping those as separate plugins would make sense.
#
# Currently turning on the toporouter produces compilation errors, so I turn it
# off. Turning on bison fails to ./configure, so I turn THAT off as well. bboard
# triggers a bug in the build system: cairo.h is not found; I turn that off.
override_dh_auto_configure:
	./configure				\
           --symbols				\
           --all=buildin			\
           --prefix=/usr			\
           --buildin-hid_batch			\
           --buildin-fp_fs			\
           --buildin-import_netlist		\
           --buildin-import_sch			\
           --buildin-io_pcb			\
           --buildin-io_lihata			\
           --buildin-io_kicad			\
           --buildin-gpmi			\
           --buildin-boardflip			\
           --buildin-polystitch			\
           --buildin-import_dsn			\
           --buildin-export_dxf			\
           --buildin-export_openscad		\
           --buildin-export_dsn			\
           --buildin-export_ipcd356		\
           --disable-toporouter			\
           --disable-bison			\
           --disable-export_bboard		\
           --buildin-hid_gtk			\
           --disable-hid_lesstif		\
						\
           --LDFLAGS='$(LDFLAGS)'		\
           --CFLAGS='$(CFLAGS) $(CPPFLAGS)'

# Needed to retain src_plugins/export_dxf/README.orig
override_dh_clean:
	dh_clean -XREADME.orig

override_dh_auto_clean:
        # 'make clean' and 'make distclean' currently fail after an incomplete
        # clean, so I do this myself
	find . \( -name *.o -o -name *.so -o -name *_conf_fields.h \) -delete
	rm -f Makefile.conf
	rm -f config.h
	rm -f scconfig/Rev.stamp
	rm -f scconfig/config.cache
	rm -f scconfig/config.log
	rm -f scconfig/configure
	rm -f scconfig/core
	rm -f scconfig/cquote
	rm -f scconfig/revtest
	rm -f src/Makefile
	rm -f src/buildin.c
	rm -f src/compat_inc.h
	rm -f util/gsch2pcb-rnd/Makefile
	rm -f util/gsch2pcb-rnd/fp_init.c
	rm -f util/gsch2pcb-rnd/fp_init.h
	rm -f doc-rnd/conf/tree/appearance_loglevels.html
	rm -f src/conf_core_fields.h
	rm -f src/conf_internal.c
	rm -f src/generated_lists.h
	rm -f src/pcb-rnd
	rm -f src_3rd/sphash/sphash
	rm -f src_plugins/dbus/dbus-introspect.h
	rm -f src_plugins/hid_gtk/menu_lht.c
	rm -f src_plugins/hid_lesstif/menu_lht.c
	rm -f src_plugins/query/fields_sphash.c
	rm -f src_plugins/query/fields_sphash.h
	rm -f util/gsch2pcb-rnd/gsch2pcb-rnd
	rm -f src_3rd/gts/Makefile

# I want packages to go here regardless of how many packages I'm building
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## pcb-rnd 1.2.5

=== util/Makefile ===
# plain old hand crafted Makefile
ROOT=..

all:
	cd gsch2pcb-rnd && $(MAKE) all

include $(ROOT)/Makefile.conf

clean:
	cd gsch2pcb-rnd && $(MAKE) clean

distclean:
	cd gsch2pcb-rnd && $(MAKE) distclean

install_all:
	$(SCCBOX) mkdir -p  "$(BINDIR)" "$(LIBDIR)"
	$(SCCBOX) $(HOW) "fp2anim" "$(BINDIR)/fp2anim"
	$(SCCBOX) $(HOW) "pcb-strip" "$(BINDIR)/pcb-strip"
	$(SCCBOX) $(HOW) "pcb-prj2lht" "$(BINDIR)/pcb-prj2lht"
	$(SCCBOX) $(HOW) "gnet-pcbrndfwd.scm" "$(LIBDIR)/gnet-pcbrndfwd.scm"
	$(SCCBOX) $(HOW) "gnet-pcbrndfwd_elem.scm" "$(LIBDIR)/gnet-pcbrndfwd_elem.scm"

install:
	$(MAKE) install_all HOW="install -f"
	cd gsch2pcb-rnd && $(MAKE) install

linstall:
	$(MAKE) install_all HOW="linstall -f"
	cd gsch2pcb-rnd && $(MAKE) linstall

uninstall:
	$(MAKE) install_all HOW="uninstall"
	cd gsch2pcb-rnd && $(MAKE) uninstall

=== src_3rd/liblihata/Makefile ===
ROOT=..
CFLAGS = -Wall -g -I..
OBJS_PARSER = parser.o lihata.o
OBJS_DOM = hash_str.o dom.o dom_hash.o dom_list.o dom_table.o ../genht/htsp.o
OBJS_TREE = tree.o tree_list.o tree_hash.o tree_table.o tree_path.o tree_symlink.o
OBJS = test_parser.o test_dom.o test_tree.o  $(OBJS_PARSER) $(OBJS_DOM) $(OBJS_TREE)
TESTERS = test_parser test_dom test_tree
LIBS = liblihata.a
include $(ROOT)/Makefile.conf


all: $(TESTERS) $(LIBS)

test_parser: test_parser.o $(OBJS_PARSER)
	$(CC) $(LDFLAGS) test_parser.o $(OBJS_PARSER) -o $@

test_dom: test_dom.o $(OBJS_DOM) $(OBJS_PARSER)
	$(CC) $(LDFLAGS) test_dom.o $(OBJS_DOM) $(OBJS_PARSER) -o $@

test_tree: test_tree.o $(OBJS_TREE) $(OBJS_DOM) $(OBJS_PARSER)
	$(CC) $(LDFLAGS) test_tree.o $(OBJS_TREE) $(OBJS_DOM) $(OBJS_PARSER) -o $@

liblihata.a: $(OBJS_DOM) $(OBJS_PARSER) $(OBJS_TREE)
	ar rvu $@ $(OBJS_DOM) $(OBJS_PARSER) $(OBJS_TREE)
	ranlib $@

../genht/htsp.o:
	$(CC) $(CFLAGS) -c ../genht/htsp.c -o ../genht/htsp.o

# dependencies

include Makefile.dep

depend:
	@echo "# Generated by \"make depend\"" > Makefile.dep
	gcc $(CFLAGS) -MM `echo $(OBJS) | sed "s/\.o/.c/g"` | sed "s/^htsp.o.*//; s%[.][.]/genht/[a-zA-Z0-9_]*[.][hoc]%%g" >> Makefile.dep

ns: liblihata.a
	@echo Namespace pollution in objects:
	@nm liblihata.a | awk '/ [ABCDGNRSTVW] / { if (($$(NF) ~ "^lht_") || ($$(NF) ~ "^hts._")) next; print $$0}'

test:
	cd regression && make

clean:
	-rm $(OBJS) $(TESTERS) $(LIBS) 2>/dev/null

dist-clean: clean

install_:
	mkdir -p $(LIBDIR) $(INCDIR)
	$(CP) $(PWD)/liblihata.a $(LIBDIR)/liblihata.a
	$(CP) $(PWD)/dom.h $(INCDIR)/dom.h
	$(CP) $(PWD)/hash_str.h $(INCDIR)/hash_str.h
	$(CP) $(PWD)/lihata.h $(INCDIR)/lihata.h
	$(CP) $(PWD)/parser.h $(INCDIR)/parser.h
	$(CP) $(PWD)/tree.h $(INCDIR)/tree.h

uninstall:
	rm $(LIBDIR)/liblihata.a
	rm -rf $(INCDIR)

install:
	make install_ CP="cp" PWD=`pwd`

linstall:
	make install_ CP="ln -sf" PWD=`pwd`

include $(ROOT)/Makefile.common

=== src_3rd/libminuid/Makefile ===
CFLAGS = -g $(LIBMINUID_CFLAGS)
LDFLAGS = $(LIBMINUID_LDFLAGS)

#CFLAGS += -Wall -ansi -pedantic
#LDFLAGS = -rdynamic

INCDIR=$(install_root)$(DESTDIR)/usr/include
LIBDIR=$(install_root)$(DESTDIR)/usr/lib

VER_MAJOR=1
VER_MINOR=0
VER_PATCH=1
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

LIBSO=libminuid.so.$(VER)
LIBSO1=libminuid.so.$(VER_MAJOR)
LIBA=libminuid.a


all: $(LIBA) $(LIBSO)

libminuid.o: libminuid.c libminuid.h
	$(CC) $(CFLAGS) -c libminuid.c -o $@

$(LIBSO): libminuid.o
	$(CC) $(LDFLAGS) -shared -dynamic -o $@ libminuid.o

$(LIBA): libminuid.o
	ar rvu $@ libminuid.o

clean:
	rm libminuid.o $(LIBA) $(LIBSO) $(LIBSO1)

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/libminuid.h $(INCDIR)/libminuid.h
	$(CP) `pwd`/$(LIBSO) $(LIBDIR)/$(LIBSO)
	$(CP) `pwd`/$(LIBA) $(LIBDIR)/$(LIBA)

uninstall:
	rm $(INCDIR)/libminuid.h $(LIBDIR)/$(LIBSO) $(LIBDIR)/$(LIBA) $(LIBDIR)/$(LIBSO1)

install:
	make install_ CP="cp"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

linstall:
	make install_ CP="ln -s"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

=== src_plugins/dbus/Makefile ===
all:
	cd ../../src && $(MAKE) mod_dbus

clean:
	rm *.o *.so 2>/dev/null ; true

=== tests/RTT/Makefile ===
all:

ROOT=../..
include $(ROOT)/Makefile.conf

test:
	@./Test_export.sh && echo "*** export: QC PASS ***"

clean:
	$(SCCBOX) rm -f out/* diff/*

=== tests/conf/Makefile ===
CFLAGS = -Wall -g -I../.. -I../../src_3rd -I../../src
LDLIBS = -lm

LIB_PCB_OBJS= \
	../../src/hid_cfg.o \
	../../src/misc_util.o \
	../../src/unit.o \
	../../src/list_conf.o \
	../../src/paths.o \
	../../src/conf.o \
	../../src/conf_core.o \
	../../src/conf_hid.o \
	../../src/conf_internal.o \
	../../src/pcb-printf.o \
	../../src/compat_misc.o \
	../../src/compat_fs.o

LIB_PLUGIN_OBJS=\
	../../src_plugins/diag/diag_conf.o

LIB_3RD_OBJS= \
	../../src_3rd/liblihata/parser.o \
	../../src_3rd/liblihata/dom.o \
	../../src_3rd/liblihata/dom_list.o \
	../../src_3rd/liblihata/dom_hash.o \
	../../src_3rd/liblihata/dom_table.o \
	../../src_3rd/liblihata/lihata.o \
	../../src_3rd/liblihata/hash_str.o \
	../../src_3rd/liblihata/tree.o \
	../../src_3rd/liblihata/tree_list.o \
	../../src_3rd/liblihata/tree_hash.o \
	../../src_3rd/liblihata/tree_table.o \
	../../src_3rd/liblihata/tree_symlink.o \
	../../src_3rd/liblihata/tree_path.o \
	../../src_3rd/genht/hash.o \
	../../src_3rd/genht/htsp.o \
	../../src_3rd/genht/htpi.o \
	../../src_3rd/genht/htip.o \
	../../src_3rd/genht/htpp.o \
	../../src_3rd/genvector/gds_char.o \
	../../src_3rd/genvector/vtp0.o

OBJS = conftest.o help.o

all: conftest

ROOT=../..
include $(ROOT)/Makefile.conf

conftest: $(OBJS) $(LIB_3RD_OBJS) $(LIB_PCB_OBJS) $(LIB_PLUGIN_OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIB_3RD_OBJS) $(LIB_PCB_OBJS) $(LIB_PLUGIN_OBJS) $(LDLIBS) -o conftest

conftest.o: conftest.c

help.o: help.c

$(LIB_3RD_OBJS) $(LIB_PCB_OBJS):
	cd ../../src && make

test:
	cd tests && $(MAKE) all

clean:
	-$(SCCBOX) rm -f conftest tests/*.out $(OBJS)

=== doc/developer/bridges/Makefile ===
# NOTE: aagraph is at svn://repo.hu/projects/aagraph/trunk

bridges.svg: bridges.txt
	aagraph -Tsvg bridges.txt > bridges.svg

bridges.png: bridges.dot
	dot -Tpng bridges.dot > bridges.png

=== doc/user/09_appendix/src/Makefile ===
CLEANFILES=../action_reference.html ../dialogtable.html

all:  ../action_reference.html ../dialogtable.html

../action_reference.html : ./dump_actions_to_html.sh ../../../../src/pcb-rnd
	./dump_actions_to_html.sh > ../action_reference.html

../dialogtable.html: pcb-rnd-dialogs ./process_dialogtable.sh ../../../../src/pcb-rnd
	./process_dialogtable.sh > ../dialogtable.html

clean:  
	rm $(CLEANFILES)

=== debian/changelog ===
pcb-rnd (1.2.5-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 22 Aug 2017 09:23:47 -0600

pcb-rnd (1.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Jun 2017 08:54:54 -0600

pcb-rnd (1.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 10 Apr 2017 11:39:19 -0600

pcb-rnd (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * revert commit that moved repo published location and changed uploaders
  * Removed 'Replaces: pcb', updated package Description to mention gEDA
  * Turned off plugins that upstream says don't work well yet:
    - gpmi
    - boardflip
    - export_dxf
    - export_openscad
  * Shipping new documentation upstream just wrote
  * I no longer ship manpages for tools I don't ship

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Feb 2017 10:10:33 -0700

=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9), imagemagick, libgd-dev, libgtkglext1-dev, libdbus-1-dev, libstroke0-dev
Standards-Version: 4.0.0
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: git://anonscm.debian.org/pkg-electronics/pcb-rnd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/pcb-rnd.git

Package: pcb-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: geda-gnetlist
Description: Printed circuit board layout tool
 pcb-rnd is a tool designed to layout printed circuit boards. This tool was
 originally based on gEDA pcb, so it supports all the basic features you would
 expect, plus much improved functionality such as:
 .
   - support for additional input/output formats, such as kicad
   - a parametric footprint generation system
   - support for asymmetric pins
   - a mini-language for querying and selecting objects
   - layout optimizers such as teardrops and a trace puller

## pcb-rnd 1.2.6

=== debian/changelog ===
pcb-rnd (1.2.6-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Oct 2017 18:01:07 -0600

pcb-rnd (1.2.5-2) unstable; urgency=high

  * security patch from upstream to eliminate execution of code from a 
    maliciously formed design file

 -- Bdale Garbee <bdale@gag.com>  Sun, 17 Sep 2017 18:23:29 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper (>= 9), imagemagick, libgd-dev, libgtkglext1-dev, libdbus-1-dev, libstroke0-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://repo.hu/projects/pcb-rnd
 Vcs-Git: git://anonscm.debian.org/pkg-electronics/pcb-rnd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/pcb-rnd.git

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

# --symbols is to build with -g
#
# I link everything into the main program (--buildin-...) including the
# user-interface: gtk. At some point I may add lesstif as an option. Then
# shipping those as separate plugins would make sense.
#
# I disable gpmi, export_openscad, export_dxf because upstream says
# that they don't yet work in a useful way
#
# bison and export_bboard cause build issues
override_dh_auto_configure:
	./configure				\
           --symbols				\
           --all=buildin			\
           --prefix=/usr			\
           --buildin-export_dsn			\
           --buildin-export_ipcd356		\
           --buildin-fp_fs			\
           --buildin-hid_batch			\
           --buildin-hid_gtk2_gdk		\
           --buildin-hid_gtk2_gl		\
           --buildin-import_dsn			\
           --buildin-import_netlist		\
           --buildin-import_sch			\
           --buildin-io_pcb			\
           --buildin-io_lihata			\
           --buildin-io_kicad			\
           --buildin-polystitch			\
						\
           --disable-gpmi			\
           --disable-export_dxf			\
           --disable-export_openscad		\
           --disable-bison			\
           --disable-export_bboard		\
           --disable-hid_lesstif		\
						\
           --LDFLAGS='$(LDFLAGS)'		\
           --CFLAGS='$(CFLAGS) $(CPPFLAGS)'

# currently upstream has a bug where 'make clean' leaves behind some files. I
# explicitly kill them here. Bug reported upstream on IRC.
#
# I forcibly keep README.orig. The debian-specific 'dh' tool cleans out all
# .orig files, but this is a part of the upstream sources here
override_dh_clean:
	dh_clean -XREADME.orig
	rm -f src_plugins/dbus/dbus-introspect.h
	find . -name '*.o' -delete

# I want packages to go here regardless of how many packages I'm building
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## pcb-rnd 1.2.7

=== Makefile ===
all: FORCE
	cd src_3rd/puplug/util && $(MAKE)
	cd src && $(MAKE)
	cd util && $(MAKE)
	cd pcblib && $(MAKE)
#	cd doc && $(MAKE)

test: FORCE
	cd tests && $(MAKE) test

clean: FORCE
	cd src && $(MAKE) clean
	cd util && $(MAKE) clean
	cd pcblib && $(MAKE) clean
#	cd doc && $(MAKE) clean
	cd tests && $(MAKE) clean
	cd src_3rd/sphash && $(MAKE) clean
	cd src_3rd/puplug && $(MAKE) clean

distclean: FORCE
	$(MAKE) clean ; true
#	cd doc && $(MAKE) distclean
	cd src && $(MAKE) distclean
	cd util/gsch2pcb-rnd && $(MAKE) distclean
	cd src_3rd/genlist && $(MAKE) clean ; true
	cd src_3rd/genregex && $(MAKE) clean ; true
	cd src_3rd/genvector && $(MAKE) clean ; true
	cd src_3rd/liblihata && $(MAKE) clean ; true
	cd src_3rd/liblihata/genht && $(MAKE) clean ; true
	cd src_3rd/qparse && $(MAKE) clean ; true
	cd scconfig && $(MAKE) distclean ; true


install: FORCE
	cd src && $(MAKE) install
	cd util && $(MAKE) install
	cd pcblib && $(MAKE) install
	cd doc && $(MAKE) install

linstall: FORCE
	cd src && $(MAKE) linstall
	cd util && $(MAKE) linstall
	cd pcblib && $(MAKE) linstall
	cd doc && $(MAKE) linstall

uninstall: FORCE
	cd src && $(MAKE) uninstall
	cd util && $(MAKE) uninstall
	cd pcblib && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall

FORCE:

=== doc-orig/Makefile ===
## -*- makefile -*-
##
##                            COPYRIGHT
##
##  PCB, interactive printed circuit board design
##  Copyright (C) 1994,1995,1996 Thomas Nau
##
##  This program is free software; you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation; either version 2 of the License, or
##  (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##
##  Contact addresses for paper mail and Email:
##  Thomas Nau, Schlehenweg 15, 88471 Baustetten, Germany
##  Thomas.Nau@rz.uni-ulm.de
##

## not until it is fully fixed up in terms of building
##SUBDIRS=	gs

info_TEXINFOS=	pcb.texi
pcb_TEXINFOS=	${inline_texi} ${pcb_output} ${tab_texi} ${images_output}

dist_html_DATA=	${html_docs} ${pcb_output_inst} ${images_output_inst}

dist_man_MANS=	pcb.1

html_docs=	${info_TEXINFOS:.texi=.html}

DVIS=

# put the html manual into 1 file instead of multiple files?
AM_MAKEINFOHTMLFLAGS=	--css-include=pcb.css --no-split

EXTRA_DIST= \
	ascii2texi.awk \
	eps2png \
	extract-docs \
	refcard.tex \
	pcb.css \
	${inline_texi} \
	${pcb_files} \
	${pcb_output_noinst} \
	${tab_files} \
	${tab_texi} \
	${images}

all:
	@echo "***"
	@echo "*** Compiling the old docs is disabled. We keep last compilation as static doc to edit until it is replaced with the new docs. ***"
	@echo "***"
	@false

old_all: $(html_docs)

# use this to avoid having the clean target delete pcb.{dvi,html,pdf,ps}
# which unfortunately deletes files which are part of the distfile
clean:
	-rm -rf pcb.aux pcb.cp pcb.cps pcb.fn pcb.fns pcb.ky pcb.kys pcb.log pcb.pg \
	pcb.pgs pcb.tmp pcb.toc pcb.tp pcb.tps pcb.vr pcb.vrs 


BUILT_SOURCES=	${tab_texi} ${pcb_output} ${inline_texi}
CLEANFILES= \
	refcard.aux refcard.log refcard.pdf \
	${pcb_output} ${tab_texi} ${inline_texi} pcb.html \
	${images_output}

inline_texi=	\
	options.texi \
	actions.texi \
	pcbfile.texi

ASCII2TEXI=	${AWK} -f $(srcdir)/ascii2texi.awk ncol=3

# Tables
tab_files=	\
	fractional_size.tab \
	letter_size.tab \
	metric_size.tab \
	wire_size.tab
tab_texi=	${tab_files:.tab=.texi}

# PCB Drawings
pcb_files=	\
	pad.pcb \
	puller.pcb \
	thermal.pcb \
	gcode.pcb

pcb_output_noinst=	\
	${pcb_files:.pcb=.pdf}

pcb_output_inst=	\
	${pcb_files:.pcb=.png}

pcb_output=	${pcb_output_inst} ${pcb_output_noinst}

# Additional images
images= \
	gcode_control_img.eps \
	gcode_tool_path.eps

images_output_noinst= \
	${images:.eps=.pdf}

images_output_inst= \
	${images:.eps=.png}

images_output= ${images_output_noinst} ${images_output_inst}

${inline_texi} : extracted-docs

# no need to build these when building via a tarball.  They're not used then
# anyway.
.PHONY : extracted-docs
extracted-docs :
	${PERL} $(srcdir)/extract-docs $(srcdir)

SUFFIXES = .eps .pcb .pdf .png .tab .tex .html .texi

.pcb.eps :
	${PCB} -x eps --only-visible --font-path $(top_srcdir)/src --eps-file $@ $<

.pcb.png :
	${PCB} -x png --only-visible --font-path $(top_srcdir)/src --outfile $@ $<

.eps.pdf :
	${PS2PDF} `${AWK} 'BEGIN{s=8}; /BoundingBox/ {printf("-r%d -g%dx%d", s*72, s*$$4, s*$$5);}' $<` $< $@

.tab.texi:
	${ASCII2TEXI} $< > $@

.tex.pdf:
	${PDFLATEX} $<
	${PDFLATEX} $<
	${PDFLATEX} $<

.eps.png:
	${PERL} $(srcdir)/eps2png --png $< > $@

%.html: %.texi
	rm $@ 2>/dev/null; true
	makeinfo --html --css-include=pcb.css --no-split  --output=$@ $^

=== doc/Makefile ===
MENU_RES=../src/pcb-menu-gtk.lht ../src/pcb-menu-lesstif.lht
MENU_RES_MKEY=../src/pcb-menu-mkey.lht
KEYLIST=../util/keylist.sh
DEBLIST=../util/devhelpers/deblist.sh

all: keys.html keys_mkey.html features/debian_list.html
	ROOT="" ./Autostyle.sh *.html
	ROOT="../" ./Autostyle.sh features/*.html

keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > keys.html

keys_mkey.html: $(MENU_RES_MKEY) $(KEYLIST)
	$(KEYLIST) $(MENU_RES_MKEY) > keys_mkey.html

install:
	cd man && $(MAKE) install

linstall:
	cd man && $(MAKE) linstall

uninstall:
	cd man && $(MAKE) uninstall

clean:
	cd man && $(MAKE) clean

distclean:
	cd man && $(MAKE) distclean

=== scconfig/Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -Isrc/default
 LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)
 
-all: configure revtest
+all: configure revtest sccbox
 
 revtest: revtest.o
 	$(CC) -o revtest revtest.o
@@ -84,14 +84,22 @@
 menucfg.o: menucfg.c
 	$(CC) -c $(CFLAGS) -o menucfg.o menucfg.c
 
-hooks.o: plugin_3state.h plugins.h Rev.h
+hooks.o: plugin_3state.h plugins.h Rev.h ../src_3rd/puplug/scconfig_hooks.h
 
 src/util/arg_auto_set.o: src/util/arg_auto_set.c src/util/arg_auto_set.h
 	$(CC) -c $(CFLAGS) -o src/util/arg_auto_set.o src/util/arg_auto_set.c
 
+src/util/sccbox.o: src/util/sccbox.c
+	$(CC) -c $(CFLAGS) -o src/util/sccbox.o src/util/sccbox.c
+
+sccbox: src/util/sccbox.o
+	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o
 
 cquote: cquote.c
 
 clean:
-	rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o
+	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core src/util/sccbox.o
 
+distclean:
+	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h
+	-$(MAKE) clean

=== tests/Makefile ===
test:
	cd RTT && $(MAKE) all && $(MAKE) test
	cd pcbflags && $(MAKE) all && $(MAKE) test
	cd conf && $(MAKE) all && $(MAKE) test
	cd strflags && $(MAKE) all && $(MAKE) test
	cd pcb-printf && $(MAKE) all && $(MAKE) test
	cd uniq_name && $(MAKE) all && $(MAKE) test
	cd propedit && $(MAKE) all && $(MAKE) test
	cd remote && $(MAKE) all && $(MAKE) test
#	cd gsch2pcb-rnd && $(MAKE) all && $(MAKE) test
	@echo " "
	@echo "+-------------------------------------------------+"
	@echo "+  All tests passed, pcb-rnd is safe to install.  +"
	@echo "+-------------------------------------------------+"

clean:
	cd RTT && $(MAKE) clean
	cd pcbflags && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd strflags && $(MAKE) clean
	cd pcb-printf && $(MAKE) clean
	cd uniq_name && $(MAKE) clean
	cd propedit && $(MAKE) clean
	cd remote && $(MAKE) clean
#	cd gsch2pcb-rnd && $(MAKE) clean

=== util/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 install_all:
 	$(SCCBOX) mkdir -p  "$(BINDIR)" "$(LIBDIR)"
 	$(SCCBOX) $(HOW) "fp2anim" "$(BINDIR)/fp2anim"
+	$(SCCBOX) $(HOW) "fp2subc" "$(BINDIR)/fp2subc"
 	$(SCCBOX) $(HOW) "pcb-strip" "$(BINDIR)/pcb-strip"
 	$(SCCBOX) $(HOW) "pcb-prj2lht" "$(BINDIR)/pcb-prj2lht"
 	$(SCCBOX) $(HOW) "gnet-pcbrndfwd.scm" "$(LIBDIR)/gnet-pcbrndfwd.scm"

=== doc-orig/new_gen/Makefile ===
all: fractional_size.html letter_size.html metric_size.html wire_size.html

fractional_size.html: fractional_size.tab tab2html.sh
	./tab2html.sh 4 < fractional_size.tab >$@

letter_size.html: letter_size.tab tab2html.sh
	./tab2html.sh 4 < letter_size.tab >$@

metric_size.html: metric_size.tab tab2html.sh
	./tab2html.sh 4 < metric_size.tab >$@

wire_size.html: wire_size.tab tab2html.sh
	./tab2html.sh 4 < wire_size.tab >$@

=== doc-orig/tutorial/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from ../Makefile.conf which is scconfig generated

all:

install_:
	$(MKDIR) "$(DOCDIR)/examples"
	$(CPC) "`pwd`/tut1.pcb" "$(DOCDIR)/examples/tut1.pcb"

install:
	make install_ CPC="$(CP)"

linstall:
	make install_ CPC="$(LN)"

uninstall:
	$(RM) "$(DOCDIR)/examples/tut1.pcb"

clean:

include ../Makefile.conf

=== doc/man/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from $(ROOT)/Makefile.conf which is scconfig generated
ROOT=../..

IN=pcb-rnd.1.mml pcb-strip.1.mml pcb-prj2lht.1.mml fp2anim.1.mml
OUT_HTML = pcb-rnd.1.html pcb-strip.1.html pcb-prj2lht.1.html fp2anim.1.html
OUT_MAN1 = pcb-rnd.1 pcb-strip.1 pcb-prj2lht.1 fp2anim.1
OUT_LINT = pcb-rnd.1.lint pcb-strip.1.lint pcb-prj2lht.1.lint fp2anim.1.lint

OUTPUT = $(OUT_HTML) $(OUT_MAN1) index.html
MML = /usr/bin/mml

all: $(OUTPUT)

lint: $(OUT_LINT)

.SUFFIXES: .html .mml .lint

.mml.html: .mml_linkmap
	$(MML) -i copyright.mml -f html $<  > $@

.mml:
	$(MML) -i copyright.mml -f man $<  > $@

.mml_linkmap:
	$(MML) -i copyright.mml -f linkmap $(IN) > $@

index.html: $(IN)
	@echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">' > $@
	@echo '<HTML><HEAD><meta http-equiv="Content-Type" content="text/html;charset=us-ascii"><TITLE>man page index - pcb-rnd</TITLE></HEAD><BODY><UL>' >> $@
	$(MML) -i copyright.mml -f indexhtml $(IN) >> $@
	@echo "</UL></BODY></HTML>" >> $@

clean:

distclean:

genclean:
	rm $(OUTPUT) 2>/dev/null ; true

.mml.lint:
	$(MML) -i copyright.mml -f lint $<

install_all:
	$(SCCBOX) mkdir -p "$(MAN1DIR)"
	$(SCCBOX) $(HOW) "pcb-rnd.1" "$(MAN1DIR)/pcb-rnd.1"
	$(SCCBOX) $(HOW) "pcb-strip.1" "$(MAN1DIR)/pcb-strip.1"
	$(SCCBOX) $(HOW) "pcb-prj2lht.1" "$(MAN1DIR)/pcb-prj2lht.1"
	$(SCCBOX) $(HOW) "gsch2pcb-rnd.1" "$(MAN1DIR)/gsch2pcb-rnd.1"
	$(SCCBOX) $(HOW) "fp2anim.1" "$(MAN1DIR)/fp2anim.1"

install:
	$(MAKE) install_all HOW="install -f"

linstall:
	$(MAKE) install_all HOW="linstall -f"

uninstall:
	$(MAKE) install_all HOW="uninstall"

include $(ROOT)/Makefile.conf

=== doc/user/Makefile ===
TRUNK=../..
BUILD=$(TRUNK)/util/build_ps.sh

export HTML2PS_OPTS=-f default.css
export HTML2PS_SED="s^<[hH]1>.*</[hH]1>^^g"

all: user.pdf

user.ps: ps.lst $(BUILD) default.css Makefile
	$(BUILD) `cat ps.lst` > user.ps

user.pdf: user.ps
	ps2pdf user.ps

ps.lst: */*.html */*.png
	echo "title.html" > ps.lst
	echo "index.html" >> ps.lst
	ls */*.html | sort >> ps.lst

=== src_3rd/genht/Makefile ===
# use -DGENHT_WANT_INLINE to turn half of the API into static inline functions
INCDIR=$(install_root)$(DESTDIR)/usr/include/genht
LIBDIR=$(install_root)$(DESTDIR)/usr/lib

HOSTCC = $(CC)

VER_MAJOR=1
VER_MINOR=1
VER_PATCH=0
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

CFLAGS=-g $(GENHT_CFLAGS)
LDFLAGS=$(GENHT_LDFLAGS)

BIN=mainsi
OBJS=htss.o htsp.o htsi.o htip.o htpp.o htpi.o hash.o siphash24.o
LIBSO=libgenht.so.$(VER)
LIBSO1=libgenht.so.$(VER_MAJOR)
LIBA=libgenht.a

all: version.h $(BIN) $(OBJS) $(LIBA) $(LIBSO)

clean:
	-rm $(BIN) $(OBJS) $(LIBA) $(LIBSO) genht_std.so genht_std.a

.SUFFIXES:
.SUFFIXES: .o .c

.c.o:
	$(CC) -o $@ -c -fPIC $< $(CFLAGS)

mainsi: mainsi.o htsi.o
	$(CC) -o $@ mainsi.o htsi.o $(LDFLAGS)

$(LIBSO): $(OBJS)
	$(CC) $(LDFLAGS) -shared -dynamic -rdynamic -o $@ $(OBJS)

$(LIBA): $(OBJS)
	ar rvu $@ $(OBJS)

# for compatibility
genht_std.so: $(LIBSO)
	ln -s $(LIBSO) genht_std.so

# for compatibility
genht_std.a: $(LIBA)
	ln -s $(LIBA) genht_std.a

version.h: version.h.in ver_edit
	./ver_edit $(VER_MAJOR) $(VER_MINOR) $(VER_PATCH) < version.h.in > version.h

ver_edit: ver_edit.c
	$(HOSTCC) -o $@ $(CFLAGS) ver_edit.c

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/hash.h $(INCDIR)/hash.h
	$(CP) `pwd`/ht.h $(INCDIR)/ht.h
	$(CP) `pwd`/version.h $(INCDIR)/version.h
	$(CP) `pwd`/ht_inlines.h $(INCDIR)/ht_inlines.h
	$(CP) `pwd`/htip.h $(INCDIR)/htip.h
	$(CP) `pwd`/htsi.h $(INCDIR)/htsi.h
	$(CP) `pwd`/htsp.h $(INCDIR)/htsp.h
	$(CP) `pwd`/htss.h $(INCDIR)/htss.h
	$(CP) `pwd`/htpp.h $(INCDIR)/htpp.h
	$(CP) `pwd`/$(LIBSO) $(LIBDIR)/$(LIBSO)
	$(CP) `pwd`/$(LIBA) $(LIBDIR)/$(LIBA)

uninstall:
	rm -rf $(INCDIR)
	rm $(LIBDIR)/$(LIBSO) $(LIBDIR)/$(LIBA) $(LIBDIR)/$(LIBSO1)

install:
	make install_ CP="cp"
	-@rm $(LIBDIR)/$(LIBSO1)
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

linstall:
	make install_ CP="ln -s"
	-@rm $(LIBDIR)/$(LIBSO1)
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

=== src_3rd/gensexpr/Makefile ===
CFLAGS = -I.. $(GENSEXPR_CFLAGS)
LDFLAGS = $(GENSEXPR_LDFLAGS)
#CFLAGS += -Wall -g -ansi -pedantic

PREFIX=/usr
INCDIR=$(install_root)$(DESTDIR)$(PREFIX)/include/gensexpr
LIBDIR=$(install_root)$(DESTDIR)$(PREFIX)/lib


OBJS = gsxl.o gsxnl.o gsx_parse.o
COMMON_DEPS = gensexpr_impl.c gensexpr_impl.h gsx_parse.h
LIBA=libgensexpr.a

all: $(LIBA)

$(LIBA): $(OBJS)
	ar rv $(LIBA) $(OBJS)

gsxl.o: gsxl.c gsxl.h $(COMMON_DEPS)
	$(CC) -c $(CFLAGS) gsxl.c -o gsxl.o

gsxnl.o: gsxnl.c gsxnl.h $(COMMON_DEPS)
	$(CC) -c $(CFLAGS) gsxnl.c -o gsxnl.o

gsx_parse.o: gsx_parse.c gsx_parse.h
	$(CC) -c $(CFLAGS) gsx_parse.c -o gsx_parse.o

clean:
	-rm $(OBJS) $(LIBA)

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/gensexpr_impl.h  $(INCDIR)/gensexpr_impl.h
	$(CP) `pwd`/gsx_parse.h      $(INCDIR)/gsx_parse.h
	$(CP) `pwd`/gsxl.h           $(INCDIR)/gsxl.h
	$(CP) `pwd`/gsxnl.h          $(INCDIR)/gsxnl.h
	$(CP) `pwd`/libgensexpr.a    $(LIBDIR)/libgensexpr.a

uninstall:
	rm $(INCDIR)/gensexpr_impl.h
	rm $(INCDIR)/gsx_parse.h
	rm $(INCDIR)/gsxl.h
	rm $(INCDIR)/gsxnl.h
	rm $(LIBDIR)/libgensexpr.a

install:
	make install_ CP="cp"

linstall:
	make install_ CP="ln -s"

=== debian/changelog ===
pcb-rnd (1.2.7-1) unstable; urgency=medium

  * new upstream version
  * patch from upstream to fix handling of spaces in passed-in *FLAGS
  * patch from upstream adding in missing ref file missed in release
  * patch from upstream fixing privacy breach caused by remote image link
  * updated description text provided by upstream author
  * restructure package configuration to build as many plugins as we
    can, leading to more build deps

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Dec 2017 21:44:48 -0700

=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9), imagemagick, libgd-dev, libgtkglext1-dev, libdbus-1-dev, libstroke0-dev, libxml2-dev
Standards-Version: 4.1.2
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: git://anonscm.debian.org/pkg-electronics/pcb-rnd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/pcb-rnd.git

Package: pcb-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: geda-gnetlist
Description: Modular Printed Circuit Board layout tool
 pcb-rnd is a highly modular PCB (Printed Circuit Board) layout tool
 with a rich set of plugins for communicating with various external
 design tools and other EDA/CAD packages.
 .
 Feature highlights:
   - subcircuits, pad stacks
   - flexible footprint model; unrestricted pad shapes
   - arbitrary copper, silk, paste and soldermask objects
   - sophisticated, flexible layer model
   - flexible/universal polygon model
   - any object, even polygons, can have a clearance within a polygon
   - advanced mil and mm grid, with support for mixed unit design
   - strong CLI support
   - static footprints and parametric (generated) footprints
   - query language for advanced search & select
   - layout optimizers such as teardrops and a trace puller
   - footprint library from local file systems, HTTP and board files
   - netlist management: imported and as-built; back annotation
   - design rule checker
 .
 File formats and compatibility:
   - text based, tree structured native file format
   - gerber (export)
   - KiCad, s-expr format boards (read, write)
   - KiCad, s-expr format elements (write)
   - KiCad, legacy text format boards (write)
   - KiCad, eeschema netlist+footprint info (import)
   - tEDAx footprints (read, write)
   - tEDAx netlist (read)
   - Autotrax (protel) pcb boards (read, write)
   - Eagle XML format boards and libraries (read)
   - Eagle binary format boards and libraries (read)
   - Eagle DRU files (read)
   - Mentor Graphics Hyperlynx (read/write)
   - gEDA/PCB (read, write)
   - Specctra DSN (partial import/export, for freerouting.net)
   - flat EDIF netlist (import)
   - HPGL plot files (import)
   - openSCAD colored 3d model script (export)
   - ltspice netlist+footprint info (import)
   - Mentor Graphics Design Capture netlist+footprint info (import)
   - MUCS unixplot (partial import: lines, vias)
   - gEDA/gschem netlist+footprint info (import)
   - TinyCAD netlist+footprint info (import)
   - breadboard assembly drawing png (export)
   - BoM (Bill of Materials; export)
   - dxf, 2d drawings (export)
   - fidocadj board (export)
   - gcode (export)
   - nelma (export)
   - PNG, JPEG, GIF (export with photo-realistic render option)
   - postscript: ps, eps (export)
   - svg (export)
   - xy: template based, multi-format footprint/coord list (export)

=== debian/rules ===
--- 
+++ 
@@ -21,26 +21,6 @@
            --symbols				\
            --all=buildin			\
            --prefix=/usr			\
-           --buildin-export_dsn			\
-           --buildin-export_ipcd356		\
-           --buildin-fp_fs			\
-           --buildin-hid_batch			\
-           --buildin-hid_gtk2_gdk		\
-           --buildin-hid_gtk2_gl		\
-           --buildin-import_dsn			\
-           --buildin-import_netlist		\
-           --buildin-import_sch			\
-           --buildin-io_pcb			\
-           --buildin-io_lihata			\
-           --buildin-io_kicad			\
-           --buildin-polystitch			\
-						\
-           --disable-gpmi			\
-           --disable-export_dxf			\
-           --disable-export_openscad		\
-           --disable-bison			\
-           --disable-export_bboard		\
-           --disable-hid_lesstif		\
 						\
            --LDFLAGS='$(LDFLAGS)'		\
            --CFLAGS='$(CFLAGS) $(CPPFLAGS)'
